package com.ozs.web.core.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
public class CaneraConfig {

    /**
     * 视频服务器访问路径
     */
    @Value("${base.url:http://47.106.159.135:8554}")
    private String url;

    /**
     * 视频服务器访问路径
     */
    @Value("${base.historyUrl:http://47.106.159.135/streams}")
    private String historyUrl;
    /**
     * ffmpeg.exe路径
     * "D:\\Java\\operSources\\ffmpeg-4.3.1\\bin\\ffmpeg.exe"
     */
    @Value("${base.ffmpegPath:C:\\Users\\Administrator.DESKTOP-0NUUTMM\\Downloads\\ffmpeg-5.1.2-essentials_build\\ffmpeg-5.1.2-essentials_build\\bin\\ffmpeg.exe}")
    private String ffmpegPath;


    @Value("${base.mappingUrl:http://47.106.159.135/}")
    private String mappingUrl;

    @Value("${base.filePath:/opt/streams/}")
    private String filePath;

    @Value("${base.flvPath:/opt/streams/record/flv/hazard/}")
    private String flvPath;

}
